class Atom:
    def __init__(self, atom_id, atom_name, res_name, chain_id,
                 res_seq_nb, coordinates):
        self.atom_id = atom_id
        self.atom_name = atom_name
        self.res_name = res_name
        self.chain_id = chain_id
        self.res_seq_nb = res_seq_nb
        self.coord_x = coordinates[0]
        self.coord_y = coordinates[1]
        self.coord_z = coordinates[2]             

class Residue:
    def __init__(self, atoms_list):
        self.atoms = {}
        for atom in atoms_list:
            self.atoms[atom.atom_name] = atom
            
            
